Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Interface Map

All Superinterfaces:
  Declaration, DynRoot, Expression

All Known Implementing Classes:
  Map_Indirect, Map_Standard

    public interface Map

extends DynRoot

Standard map declaration, contains unit, platform and possibly map instances. Specific port and link map entries can be easily retrieved using `getMapLink(UnitChannel)` and `getMapPort(UnitPort)`.

Version:
  $Revision: 1.9 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Method Summary
`MapLink` | `getMapLink(UnitChannel unitChannel)` Lookup the `MapLink` entry associated with the given channel.
`MapPort` | `getMapPort(UnitPort unitPort)` Lookup the `MapPort` entry associated with the given port.
`Instance` | `getPlatform()` Simple accessor.

Methods inherited from interface rdlc.rdl.DynRoot
`getInstance, isLeaf, isRoot`

Methods inherited from interface rdlc.rdl.Declaration
`getBase, getIdentifier, getLambdaName, getNamedBase, getType, setRawStaticID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Method Detail

### getPlatform

    Instance getPlatform()

  Simple accessor.

  Returns:
    The platform to which this map is mapping all of it's unit instances.

### getMapLink

    MapLink getMapLink(UnitChannel unitChannel)

  Lookup the `MapLink` entry associated with the given channel.

  Parameters:
    `unitChannel` - The channel we're looking for the mapping of.
  Returns:
    The `MapLink` for the given channel, or `null` if that channel is not specifically mapped.

### getMapPort

    MapPort getMapPort(UnitPort unitPort)

  Lookup the `MapPort` entry associated with the given port.

  Parameters:
    `unitPort` - The port we're looking for the mapping of.
  Returns:
    The `MapPort` for the given port, or `null` if that port is not specifically mapped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD